*, ::before, ::after{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: -apple-system,system-ui,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif;
}
body{
    width: 100%;
    background-color: rgb(25,25,25);
    color: whitesmoke;
}
/*------------------------------------------------Formulaire débit/crédit-----------------------------------------*/

input, select{
    background-color: rgb(60,60,60);
    color: whitesmoke;
}
.titreSite{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 10px;
    margin-bottom: -20px;
}
.logoHead{
    width: 50px;
    height: 50px;
}
.formulaire1 .formCategorie, .formulaire2 .formCategorie{
    display: flex;
    height: 25px;
    gap: 10px;
    margin-top: 10px;
    width: 250px;
}
.formulaire1, .formulaire2{
    border: 2px solid whitesmoke;
    padding: 20px 300px 20px 20px; 
    border-radius: 20px;
    background-color: rgb(25,25,25);
    width: 20%;
}
.formulaire1 input, .formulaire2 input{
    margin-top: 10px;
    width: 252.67px;
    height: 25px;
}
.formulaire1 select, .formulaire2 select{
    width: 252.67px;
    height: 25px;
}
.formulaire1 .btn, .formulaire2 .btn{
    margin-top: 5px;
    width: 250px;
}
.formulaires{
    margin-top: 4%;
    margin-bottom: 5%;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    justify-content: space-around;
    background-color: rgb(25,25,25);
    width: 100%;
}

/*------------------------------------------------Solde-------------------------------------------*/

.solde{
    border-radius: 20px;
    border: 2px solid whitesmoke;
    background-color: rgb(25,25,25);
    width: 20%;
    padding: 20px 300px 20px 20px; 
}
.solde h2{
    margin-top: 30px;
    width: 200px;
    font-weight: bold;
}
.solde p{
    font-size: 30px;
    width: 200px;
}
.soldeInitial{
    display: flex;
    gap: 10px;
}
h4{
    width: 200px;
}
.active {
    transform: translateX(1000%);
    display: none;
}

/*------------------------------------------------Recherche-------------------------------------------*/

.formulaire3 .formDate{
    margin-top: 15px;
    margin-right: 1%;
}
.formulaire3 .formCategorie{
    margin-top: 15px;
    margin-left: 1%;
    width: 250px;
}
.formulaire3 h2{
    text-align: center;
}
.blocRec{
    display: flex;
    justify-content: center;
}
.formulaire3 .btn{
    margin-top: 5px;
    width: 60px;
    height: 40px;
}
.formulaire3 .buttonForm3{
    margin-top: 5px;
    width: 200px;
    height: 40px;
}
.balance{
    text-align: center;
    margin-top: 50px;
    margin-bottom: 50px;
}
.balanceDisplay{
    text-transform: uppercase;
    margin-top: 20px;
}
h5{
    font-size: 22px;
}

/*------------------------------------------------Tableau-------------------------------------------*/
.table{
    margin-top: 30px;
    color: whitesmoke;
    width: 80%;
    max-height: 80%;
    margin-left: auto;
    margin-right: auto;
    overflow: auto;
}
.tbody{
    max-height: 200px;
}

/* --------------------------------------- Footer --------------------------------------- */

footer li{
    padding: 20px;
}
footer li a{
    text-decoration: none;
    color: whitesmoke;
    font-size: 25px;
}
footer li a:hover{
    color: gold;
    text-decoration: underline;
}
.social{
    text-align: center;
}
ion-icon {
    color: whitesmoke;
    font-size: 30px;
    margin-left: 20px;
    transition: ease-in-out 0.5s;
  }
ion-icon:hover {
    color: gold;
    transform: scale(1.50);
    transition: ease-in-out 0.5s;
}

/*------------------------------------------------Media Queries tablette-------------------------------------------*/
@media screen and (max-width:1150px) {
.formulaires{
    display: flex;
    flex-wrap: wrap;
}
.formulaire1, .formulaire2{
    margin-top: 50px;
}
.solde{
    margin-top: 50px;
}
}

/*------------------------------------------------Media Queries mobile-------------------------------------------*/

@media screen and (max-width:700px) {
.blocRec{
    display: block;
}
.formulaire3{
    border: 2px solid whitesmoke;
    border-radius: 20px;
    width: 80%;
    margin-top: 50px;
    margin-left: 10%;
}
.refresh{
    margin-left: 40%;
}

.formulaire3 .buttonForm3{
    margin-left: 19%;
}
.formulaire3 .formDate{
    text-align: center;
}
.formulaire3 .formCategorie{
    margin-left: 16%;
}
.solde p{
    font-size: 30px;
    text-align: right ;
    width: 200px;
}
.solde h4, h2{
    text-align: right;
}
}